plugins {
    id("org.jetbrains.kotlin.js") version "1.5.20-RC"
}

group = "fr.username404"
version = "0.1"

repositories {
    mavenCentral()
}

dependencies {
    implementation(kotlin("stdlib-js"))
    implementation("org.jetbrains.kotlinx:kotlinx-html:0.7.3")
}

kotlin {
    js(IR) {
        moduleName = "Username404_Website"
        compilations.all {
            with(kotlinOptions) {
                freeCompilerArgs = freeCompilerArgs + listOf(
                    "-Xopt-in=kotlin.RequiresOptIn",
                    "-Xopt-in=kotlin.js.ExperimentalJsExport",
                    "-progressive"
                )
            }
        }
        browser {
            webpackTask {
                output.libraryTarget = "global"
                cssSupport.enabled = true
            }

            runTask {
                cssSupport.enabled = true
            }

            testTask {
                useKarma {
                    useFirefoxNightlyHeadless()
                    webpackConfig.cssSupport.enabled = true
                }
            }
        }
        binaries.executable()
    }
}
